<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.product.event.transientes.mapper.PqDevicedetailMapper">
  <resultMap id="BaseResultMap" type="com.njcn.product.event.devcie.pojo.po.PqDeviceDetail">
    <!--@mbg.generated-->
    <!--@Table PQ_DEVICEDETAIL-->
    <id column="DEV_INDEX" jdbcType="DECIMAL" property="devIndex" />
    <result column="MANUFACTURER" jdbcType="VARCHAR" property="manufacturer" />
    <result column="CHECKFLAG" jdbcType="DECIMAL" property="checkflag" />
    <result column="THISTIMECHECK" jdbcType="TIMESTAMP" property="thistimecheck" />
    <result column="NEXTTIMECHECK" jdbcType="TIMESTAMP" property="nexttimecheck" />
    <result column="ONLINERATETJ" jdbcType="DECIMAL" property="onlineratetj" />
    <result column="DATAPLAN" jdbcType="DECIMAL" property="dataplan" />
    <result column="NEWTRAFFIC" jdbcType="DECIMAL" property="newtraffic" />
    <result column="ELECTROPLATE" jdbcType="DECIMAL" property="electroplate" />
    <result column="ONTIME" jdbcType="DECIMAL" property="ontime" />
    <result column="CONTRACT" jdbcType="VARCHAR" property="contract" />
    <result column="SIM" jdbcType="VARCHAR" property="sim" />
    <result column="DEV_CATENA" jdbcType="VARCHAR" property="devCatena" />
    <result column="DEV_LOCATION" jdbcType="VARCHAR" property="devLocation" />
    <result column="DEV_NO" jdbcType="VARCHAR" property="devNo" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    DEV_INDEX, MANUFACTURER, CHECKFLAG, THISTIMECHECK, NEXTTIMECHECK, ONLINERATETJ, DATAPLAN,
    NEWTRAFFIC, ELECTROPLATE, ONTIME, CONTRACT, SIM, DEV_CATENA, DEV_LOCATION, DEV_NO
  </sql>
</mapper>
